Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Abonnez-vous gratuitement à notre NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Se désabonner

Vigil@nce - Node.js jshamcrest : déni de service via Regular Expression

mars 2016 par Vigil@nce

Ce bulletin a été rédigé par Vigil@nce : https://vigilance.fr/offre

SYNTHÈSE DE LA VULNÉRABILITÉ

Un attaquant peut envoyer des données malveillantes vers Node.js jshamcrest, afin de mener un déni de service.

Produits concernés : Node.js Modules non exhaustif.

Gravité : 2/4.

Date création : 06/01/2016.

DESCRIPTION DE LA VULNÉRABILITÉ

Le module jshamcrest peut être installé sur Node.js.

Cependant, certaines données spécifiques provoquent une surcharge dans le calcul d’expressions régulières.

Un attaquant peut donc envoyer des données malveillantes vers Node.js jshamcrest, afin de mener un déni de service.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET

https://vigilance.fr/vulnerabilite/...




Voir les articles précédents

    

Voir les articles suivants